Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CONV_FRAME::CodeSetComponentInfo_out Class Reference

`#include <CONV_FRAMEC.h>`

Collaboration diagram for CONV_FRAME::CodeSetComponentInfo_out:

[legend]
List of all members.

## Public Methods
| CodeSetComponentInfo_out (CodeSetComponentInfo *&)
| CodeSetComponentInfo_out (CodeSetComponentInfo_var &)
| CodeSetComponentInfo_out (const CodeSetComponentInfo_out &)
CodeSetComponentInfo_out & | operator= (const CodeSetComponentInfo_out &)
CodeSetComponentInfo_out & | operator= (CodeSetComponentInfo *)
| operator CodeSetComponentInfo *& ()
CodeSetComponentInfo *& | ptr (void)
CodeSetComponentInfo * | operator-> (void)
## Private Methods
void | operator= (const CodeSetComponentInfo_var &)
## Private Attributes
CodeSetComponentInfo *& | ptr_

## Constructor & Destructor Documentation

ACE_INLINE CONV_FRAME::CodeSetComponentInfo_out::CodeSetComponentInfo_out | ( | CONV_FRAME::CodeSetComponentInfo *& | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponentInfo_out::CodeSetComponentInfo_out | ( | CONV_FRAME::CodeSetComponentInfo_var & | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponentInfo_out::CodeSetComponentInfo_out | ( | const CodeSetComponentInfo_out & | p | ) |

## Member Function Documentation

CONV_FRAME::CodeSetComponentInfo_out::operator CodeSetComponentInfo *& | ( |  | ) |

ACE_INLINE CONV_FRAME::CodeSetComponentInfo * CONV_FRAME::CodeSetComponentInfo_out::operator-> | ( | void |  | ) |

void CONV_FRAME::CodeSetComponentInfo_out::operator= | ( | const CodeSetComponentInfo_var & |  | ) | `[private]`

ACE_INLINE CONV_FRAME::CodeSetComponentInfo_out & CONV_FRAME::CodeSetComponentInfo_out::operator= | ( | CONV_FRAME::CodeSetComponentInfo * | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponentInfo_out & CONV_FRAME::CodeSetComponentInfo_out::operator= | ( | const CodeSetComponentInfo_out & | p | ) |

ACE_INLINE CONV_FRAME::CodeSetComponentInfo *& CONV_FRAME::CodeSetComponentInfo_out::ptr | ( | void |  | ) |

## Member Data Documentation

CodeSetComponentInfo*& CONV_FRAME::CodeSetComponentInfo_out::ptr_`[private]`

The documentation for this class was generated from the following files:

- CONV_FRAMEC.h
- CONV_FRAMEC.i